%global git_tag v1.12.0

Name:           jellyfin-media-player
Version:        %(echo %{git_tag} | grep --only-matching --perl-regexp '\d+.\d+.\d+')
Release:        %autorelease
Summary:        Jellyfin Desktop Client
License:        GPL-2.0
URL:            https://github.com/jellyfin/jellyfin-media-player
Source0:        https://github.com/jellyfin/jellyfin-media-player/archive/refs/tags/%{git_tag}.tar.gz


ExclusiveArch: x86_64 aarch64


BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  freetype-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libvdpau-devel
BuildRequires:  libva-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  libdrm-devel
BuildRequires:  libX11-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  yasm
BuildRequires:  alsa-lib
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  zlib-devel
BuildRequires:  fribidi-devel
BuildRequires:  git
BuildRequires:  gnutls-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL2-devel
BuildRequires:  cmake
BuildRequires:  wget
BuildRequires:  python
BuildRequires:  g++
BuildRequires:  qt-devel
BuildRequires:  libcec-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  curl
BuildRequires:  unzip
BuildRequires:  qt5-qtwebchannel-devel
BuildRequires:  qt5-qtwebengine-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  mpv
BuildRequires:  qwt-qt5-devel
BuildRequires:  qt5-qtbase
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  mpv-devel


%description
Jellyfin Desktop Client.


%prep
%autosetup -n %{name}-%{version}


%build
%cmake \
    -DCMAKE_SKIP_RPATH:BOOL=ON \
    -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license LICENSE
%{_bindir}/jellyfinmediaplayer
%{_datadir}/applications/com.github.iwalton3.jellyfin-media-player.desktop
%{_datadir}/icons/hicolor/scalable/apps/com.github.iwalton3.jellyfin-media-player.svg
%{_datadir}/jellyfinmediaplayer/
%{_datadir}/metainfo/com.github.iwalton3.jellyfin-media-player.appdata.xml


%changelog
%autochangelog
